Skip to main content
GET
Proposals (v1beta1)

Query Parameters

proposalStatus
enum<string>
default:PROPOSAL_STATUS_UNSPECIFIED

proposal_status defines the status of the proposals.

  • PROPOSAL_STATUS_UNSPECIFIED: PROPOSAL_STATUS_UNSPECIFIED defines the default proposal status.
  • PROPOSAL_STATUS_DEPOSIT_PERIOD: PROPOSAL_STATUS_DEPOSIT_PERIOD defines a proposal status during the deposit period.
  • PROPOSAL_STATUS_VOTING_PERIOD: PROPOSAL_STATUS_VOTING_PERIOD defines a proposal status during the voting period.
  • PROPOSAL_STATUS_PASSED: PROPOSAL_STATUS_PASSED defines a proposal status of a proposal that has passed.
  • PROPOSAL_STATUS_REJECTED: PROPOSAL_STATUS_REJECTED defines a proposal status of a proposal that has been rejected.
  • PROPOSAL_STATUS_FAILED: PROPOSAL_STATUS_FAILED defines a proposal status of a proposal that has failed.
Available options:
PROPOSAL_STATUS_UNSPECIFIED,
PROPOSAL_STATUS_DEPOSIT_PERIOD,
PROPOSAL_STATUS_VOTING_PERIOD,
PROPOSAL_STATUS_PASSED,
PROPOSAL_STATUS_REJECTED,
PROPOSAL_STATUS_FAILED
voter
string

voter defines the voter address for the proposals.

depositor
string

depositor defines the deposit addresses from the proposals.

pagination.key
string<byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string<uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string<uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.countTotal
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Response

A successful response.

QueryProposalsResponse is the response type for the Query/Proposals RPC method.

proposals
object[] | null

proposals defines all the requested governance proposals.

pagination
object | null

pagination defines the pagination in the response.